- [HTTP request](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1alpha1/projects.locations.networkMonitoringProviders/generateMonitoringPointConfig#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1alpha1/projects.locations.networkMonitoringProviders/generateMonitoringPointConfig#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1alpha1/projects.locations.networkMonitoringProviders/generateMonitoringPointConfig#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1alpha1/projects.locations.networkMonitoringProviders/generateMonitoringPointConfig#body.request_body)
- [Response body](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1alpha1/projects.locations.networkMonitoringProviders/generateMonitoringPointConfig#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1alpha1/projects.locations.networkMonitoringProviders/generateMonitoringPointConfig#body.GenerateMonitoringPointConfigResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1alpha1/projects.locations.networkMonitoringProviders/generateMonitoringPointConfig#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1alpha1/projects.locations.networkMonitoringProviders/generateMonitoringPointConfig#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1alpha1/projects.locations.networkMonitoringProviders/generateMonitoringPointConfig#try-it)

Generates Monitoring Point configuration of a NetworkMonitoringProvider resource.

### HTTP request

`GET https://networkmanagement.googleapis.com/v1alpha1/{name=projects/*/locations/*/networkMonitoringProviders/*}:generateMonitoringPointConfig`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the resource. Format: projects/{project}/locations/{location}/networkMonitoringProviders/{networkMonitoringProvider} |

### Query parameters

| Parameters ||
|---|---|
| `privateConnectivityEnabled` | `boolean` Optional. For Google Cloud MPs, this field indicates whether the Monitoring Point is deployed in a Private Service Connect deployment. Not used for non-Google Cloud MPs. |

### Request body

The request body must be empty.

### Response body

Message for response for getting Monitoring Point configuration of a `https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1alpha1/projects.locations.networkMonitoringProviders#NetworkMonitoringProvider` resource.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "config": { object } } ``` |

| Fields ||
|---|---|
| `config` | ``object (`https://protobuf.dev/reference/protobuf/google.protobuf#struct` format)`` The Monitoring Point configuration of the provider in JSON format. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `networkmanagement.providers.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).